<a routerLink="/arjun" class="badge badge-warning" routerLinkActive="active"><-BACK</a>	
<h1>{{code.title}}</h1>
<a routerLink="/arjun/codes/{{code._id}}/edit" class="badge badge-info">Edit</a>
<span style="cursor: pointer;" class="badge badge-danger" (click)="deleteCode(code._id)" >Delete</span>
<div *ngFor="let content of code.contents; let index=index; let last=last" >
	<span class="badge badge-primary">{{content.label}}</span>
	<br>
	<!-- <span class="badge badge-light"><em>syntax: {{content.lang}}</em></span> -->
	<div id="code-body-{{index}}" class="editor">{{content.body}}</div>
</div><!-- end .content -->